include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### parser (static)

tde_add_library( klinkstatus-parser STATIC_PIC AUTOMOC

  SOURCES
        htmlparser.cpp
        http.cpp
        mstring.cpp
        node.cpp
        url.cpp
)
